Subject: Re: [PATCH v9] credential-store: warn instead of fatal for bogus lines from store

From: Junio C Hamano <[email-masked]>
Date: Thu, 30 Apr 2020 22:27:24 -0700

Carlo Arenas <[email-masked]> writes:

> PS. should we really do the warn even in store/erase operations as a
> followup or is the warning not useful as is, and probably then all
> operations should be quiet (as Jonathan suggested originally?) and we
> could do warn (and maybe fix) in a different change (maybe adding a
> fsck command of sorts)?

Yeah, I think I like the "no warning, just ignore" much better.  The
implementation I suspect would become a lot simpler, right?

Thanks for thinking one extra step.